log for chat.fluffy.fluffychat:2323

Traceback (most recent call last):
  File "/home/fbuild/fdroidserver/fdroidserver/build.py", line 1128, in main
    options.onserver, options.refresh):
  File "/home/fbuild/fdroidserver/fdroidserver/build.py", line 887, in trybuild
    build_server(app, build, vcs, build_dir, output_dir, log_dir, force)
  File "/home/fbuild/fdroidserver/fdroidserver/build.py", line 270, in build_server
    str(output, 'utf-8'))
fdroidserver.exception.BuildException: Build.py failed on server for chat.fluffy.fluffychat:1.4.0
==== detail begin ====
== Installed Android Tools ==

2022-05-08 12:24:18,028 DEBUG: Reading 'config.yml'
2022-05-08 12:24:18,038 INFO: Using /opt/android-sdk/build-tools/29.0.3/apksigner 
2022-05-08 12:24:18,040 INFO: Creating log directory
2022-05-08 12:24:18,040 INFO: Creating temporary directory
2022-05-08 12:24:18,040 INFO: Creating output directory
2022-05-08 12:24:18,045 DEBUG: Getting git vcs interface for https://gitlab.com/famedly/fluffychat
2022-05-08 12:24:18,045 DEBUG: > git --version
git version 2.11.0
2022-05-08 12:24:18,320 INFO: Using git version 2.11.0
2022-05-08 12:24:18,320 DEBUG: Checking 1.4.0
2022-05-08 12:24:18,321 INFO: Building version 1.4.0 (2323) of chat.fluffy.fluffychat
2022-05-08 12:24:18,322 INFO: Running 'sudo' commands in /home/vagrant
2022-05-08 12:24:18,322 DEBUG: > sudo DEBIAN_FRONTEND=noninteractive bash -x -c apt-get update || apt-get update && apt-get install -y ninja-build
+ apt-get update
Ign:1 http://deb.debian.org/debian stretch InRelease
Get:2 http://security.debian.org/debian-security stretch/updates InRelease [53.0 kB]
Hit:3 http://deb.debian.org/debian stretch-updates InRelease
Get:4 http://deb.debian.org/debian stretch-backports-sloppy InRelease [46.7 kB]
Get:5 http://deb.debian.org/debian stretch-backports InRelease [91.8 kB]
Get:6 http://deb.debian.org/debian testing InRelease [130 kB]
Hit:7 http://deb.debian.org/debian stretch Release
Get:8 http://deb.debian.org/debian testing/main amd64 Packages.diff/Index [63.6 kB]
Get:10 http://deb.debian.org/debian testing/main i386 Packages.diff/Index [63.6 kB]
Get:11 http://deb.debian.org/debian testing/main Translation-en.diff/Index [63.6 kB]
Get:12 http://deb.debian.org/debian testing/main amd64 Packages T-2022-05-08-0206.12-F-2022-05-07-1407.05.pdiff [56.2 kB]
Get:13 http://deb.debian.org/debian testing/main i386 Packages T-2022-05-08-0206.12-F-2022-05-07-1407.05.pdiff [55.5 kB]
Get:12 http://deb.debian.org/debian testing/main amd64 Packages T-2022-05-08-0206.12-F-2022-05-07-1407.05.pdiff [56.2 kB]
Get:13 http://deb.debian.org/debian testing/main i386 Packages T-2022-05-08-0206.12-F-2022-05-07-1407.05.pdiff [55.5 kB]
Get:14 http://deb.debian.org/debian testing/main Translation-en T-2022-05-08-0206.12-F-2022-05-07-1407.05.pdiff [5,949 B]
Get:14 http://deb.debian.org/debian testing/main Translation-en T-2022-05-08-0206.12-F-2022-05-07-1407.05.pdiff [5,949 B]
Fetched 630 kB in 4s (138 kB/s)
Reading package lists...
+ apt-get install -y ninja-build
Reading package lists...
Building dependency tree...
Reading state information...
The following NEW packages will be installed:
  ninja-build
0 upgraded, 1 newly installed, 0 to remove and 2 not upgraded.
Need to get 92.9 kB of archives.
After this operation, 296 kB of additional disk space will be used.
Get:1 http://deb.debian.org/debian stretch/main amd64 ninja-build amd64 1.7.2-1 [92.9 kB]
Fetched 92.9 kB in 0s (4,325 kB/s)
Selecting previously unselected package ninja-build.
(Reading database ... 64892 files and directories currently installed.)
Preparing to unpack .../ninja-build_1.7.2-1_amd64.deb ...
Unpacking ninja-build (1.7.2-1) ...
Setting up ninja-build (1.7.2-1) ...
2022-05-08 12:24:27,390 DEBUG: > sudo passwd --lock root
passwd: password expiry information changed.
2022-05-08 12:24:27,595 DEBUG: > sudo SUDO_FORCE_REMOVE=yes dpkg --purge sudo
(Reading database ... 64906 files and directories currently installed.)
Removing sudo (1.8.19p1-2.1+deb9u3) ...
Purging configuration files for sudo (1.8.19p1-2.1+deb9u3) ...
Processing triggers for systemd (232-25+deb9u13) ...
2022-05-08 12:24:33,150 INFO: Getting source for revision d1034e09b9ece09ff81d69d890b6dafefab0967d
2022-05-08 12:24:33,150 DEBUG: Directory: build/chat.fluffy.fluffychat
2022-05-08 12:24:33,151 DEBUG: > git rev-parse --show-toplevel
2022-05-08 12:24:33,361 DEBUG: Directory: build/chat.fluffy.fluffychat
2022-05-08 12:24:33,361 DEBUG: > git submodule foreach --recursive git reset --hard
2022-05-08 12:24:33,727 DEBUG: Directory: build/chat.fluffy.fluffychat
2022-05-08 12:24:33,728 DEBUG: > git reset --hard
2022-05-08 12:24:34,041 DEBUG: Directory: build/chat.fluffy.fluffychat
2022-05-08 12:24:34,042 DEBUG: > git submodule foreach --recursive git clean -dffx
2022-05-08 12:24:34,151 DEBUG: Directory: build/chat.fluffy.fluffychat
2022-05-08 12:24:34,151 DEBUG: > git clean -dffx
2022-05-08 12:24:34,262 DEBUG: Directory: build/chat.fluffy.fluffychat
2022-05-08 12:24:34,262 DEBUG: > git -c core.askpass=/bin/true -c core.sshCommand=/bin/false -c url.https://.insteadOf=ssh:// -c url.https://u:p@bitbucket.org/.insteadOf=git@bitbucket.org: -c url.https://u:p@bitbucket.org.insteadOf=git://bitbucket.org -c url.https://u:p@bitbucket.org.insteadOf=https://bitbucket.org -c url.https://u:p@github.com/.insteadOf=git@github.com: -c url.https://u:p@github.com.insteadOf=git://github.com -c url.https://u:p@github.com.insteadOf=https://github.com -c url.https://u:p@gitlab.com/.insteadOf=git@gitlab.com: -c url.https://u:p@gitlab.com.insteadOf=git://gitlab.com -c url.https://u:p@gitlab.com.insteadOf=https://gitlab.com fetch origin
warning: redirecting to https://gitlab.com/famedly/fluffychat.git/
2022-05-08 12:24:35,119 DEBUG: Directory: build/chat.fluffy.fluffychat
2022-05-08 12:24:35,119 DEBUG: > git -c core.askpass=/bin/true -c core.sshCommand=/bin/false -c url.https://.insteadOf=ssh:// -c url.https://u:p@bitbucket.org/.insteadOf=git@bitbucket.org: -c url.https://u:p@bitbucket.org.insteadOf=git://bitbucket.org -c url.https://u:p@bitbucket.org.insteadOf=https://bitbucket.org -c url.https://u:p@github.com/.insteadOf=git@github.com: -c url.https://u:p@github.com.insteadOf=git://github.com -c url.https://u:p@github.com.insteadOf=https://github.com -c url.https://u:p@gitlab.com/.insteadOf=git@gitlab.com: -c url.https://u:p@gitlab.com.insteadOf=git://gitlab.com -c url.https://u:p@gitlab.com.insteadOf=https://gitlab.com remote prune origin
2022-05-08 12:24:35,757 DEBUG: Directory: build/chat.fluffy.fluffychat
2022-05-08 12:24:35,758 DEBUG: > git -c core.askpass=/bin/true -c core.sshCommand=/bin/false -c url.https://.insteadOf=ssh:// -c url.https://u:p@bitbucket.org/.insteadOf=git@bitbucket.org: -c url.https://u:p@bitbucket.org.insteadOf=git://bitbucket.org -c url.https://u:p@bitbucket.org.insteadOf=https://bitbucket.org -c url.https://u:p@github.com/.insteadOf=git@github.com: -c url.https://u:p@github.com.insteadOf=git://github.com -c url.https://u:p@github.com.insteadOf=https://github.com -c url.https://u:p@gitlab.com/.insteadOf=git@gitlab.com: -c url.https://u:p@gitlab.com.insteadOf=git://gitlab.com -c url.https://u:p@gitlab.com.insteadOf=https://gitlab.com fetch --prune --tags --force origin
2022-05-08 12:24:36,420 DEBUG: Directory: build/chat.fluffy.fluffychat
2022-05-08 12:24:36,421 DEBUG: > git remote set-head origin --auto
2022-05-08 12:24:37,244 DEBUG: Directory: build/chat.fluffy.fluffychat
2022-05-08 12:24:37,245 DEBUG: > git checkout -f d1034e09b9ece09ff81d69d890b6dafefab0967d
2022-05-08 12:24:37,555 DEBUG: Directory: build/chat.fluffy.fluffychat
2022-05-08 12:24:37,555 DEBUG: > git clean -dffx
2022-05-08 12:24:37,665 INFO: Collecting source libraries
2022-05-08 12:24:37,753 DEBUG: Removing debuggable flags from build/srclib/flutter
2022-05-08 12:24:37,808 INFO: Creating local.properties file at build/chat.fluffy.fluffychat/local.properties
2022-05-08 12:24:37,809 DEBUG: Removing debuggable flags from build/chat.fluffy.fluffychat
2022-05-08 12:24:37,814 INFO: Removing specified files
2022-05-08 12:24:37,815 INFO: Removing windows
2022-05-08 12:24:37,816 INFO: Removing linux
2022-05-08 12:24:37,816 INFO: Removing web
2022-05-08 12:24:37,817 INFO: Removing ios
2022-05-08 12:24:37,822 INFO: Removing macos
2022-05-08 12:24:37,823 INFO: Removing test
2022-05-08 12:24:37,825 INFO: Cleaned build.gradle of keysigning configs at build/chat.fluffy.fluffychat/android/app/build.gradle
2022-05-08 12:24:37,828 INFO: Running 'prebuild' commands in build/chat.fluffy.fluffychat
2022-05-08 12:24:37,828 DEBUG: Directory: build/chat.fluffy.fluffychat
2022-05-08 12:24:37,828 DEBUG: > bash -x -c -- /opt/android-sdk/tools/bin/sdkmanager 'cmake;3.18.1' > /dev/null
+ /opt/android-sdk/tools/bin/sdkmanager 'cmake;3.18.1'
Warning: File /home/vagrant/.android/repositories.cfg could not be loaded.
Warning: java.io.FileNotFoundException: https://dl.google.com/android/repository/sys-img/android-desktop/sys-img2-1.xml
2022-05-08 12:24:42,423 INFO: Scanning source for common problems...
2022-05-08 12:24:42,452 INFO: Creating source tarball...
2022-05-08 12:24:43,957 INFO: Running 'build' commands in build/chat.fluffy.fluffychat
2022-05-08 12:24:43,958 DEBUG: Directory: build/chat.fluffy.fluffychat
2022-05-08 12:24:43,958 DEBUG: > bash -x -c /home/vagrant/build/srclib/flutter/bin/flutter config --no-analytics && /home/vagrant/build/srclib/flutter/bin/flutter build apk --release
+ /home/vagrant/build/srclib/flutter/bin/flutter config --no-analytics
Downloading Dart SDK from Flutter engine 890a5fca2e34db413be624fc83aeea8e61d42ce6...
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed

  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
 11  207M   11 24.4M    0     0  29.2M      0  0:00:07 --:--:--  0:00:07 29.2M
 64  207M   64  133M    0     0  72.8M      0  0:00:02  0:00:01  0:00:01 72.7M
100  207M  100  207M    0     0  83.8M      0  0:00:02  0:00:02 --:--:-- 83.8M
Building flutter tool...

  ╔════════════════════════════════════════════════════════════════════════════╗
  ║                 Welcome to Flutter! - https://flutter.dev                  ║
  ║                                                                            ║
  ║ The Flutter tool uses Google Analytics to anonymously report feature usage ║
  ║ statistics and basic crash reports. This data is used to help improve      ║
  ║ Flutter tools over time.                                                   ║
  ║                                                                            ║
  ║ Flutter tool analytics are not sent on the very first run. To disable      ║
  ║ reporting, type 'flutter config --no-analytics'. To display the current    ║
  ║ setting, type 'flutter config'. If you opt out of analytics, an opt-out    ║
  ║ event will be sent, and then no further information will be sent by the    ║
  ║ Flutter tool.                                                              ║
  ║                                                                            ║
  ║ By downloading the Flutter SDK, you agree to the Google Terms of Service.  ║
  ║ Note: The Google Privacy Policy describes how data is handled in this      ║
  ║ service.                                                                   ║
  ║                                                                            ║
  ║ Moreover, Flutter includes the Dart SDK, which may send usage metrics and  ║
  ║ crash reports to Google.                                                   ║
  ║                                                                            ║
  ║ Read about data we send with crash reports:                                ║
  ║ https://flutter.dev/docs/reference/crash-reporting                         ║
  ║                                                                            ║
  ║ See Google's privacy policy:                                               ║
  ║ https://policies.google.com/privacy                                        ║
  ╚════════════════════════════════════════════════════════════════════════════╝

Analytics reporting disabled.

You may need to restart any open editors for them to read new settings.
+ /home/vagrant/build/srclib/flutter/bin/flutter build apk --release
Downloading Material fonts...                                      523ms
Downloading Gradle Wrapper...                                       18ms
Downloading package sky_engine...                                  272ms
Downloading flutter_patched_sdk tools...                           465ms
Downloading flutter_patched_sdk_product tools...                   459ms
Downloading linux-x64 tools...                                   2,348ms
Downloading linux-x64/font-subset tools...                         214ms
Downloading android-arm-profile/linux-x64 tools...                 309ms
Downloading android-arm-release/linux-x64 tools...                 299ms
Downloading android-arm64-profile/linux-x64 tools...               304ms
Downloading android-arm64-release/linux-x64 tools...               262ms
Downloading android-x64-profile/linux-x64 tools...                 283ms
Downloading android-x64-release/linux-x64 tools...                 540ms
"ar": 26 untranslated message(s).
"bn": 578 untranslated message(s).
"ca": 109 untranslated message(s).
"de": 13 untranslated message(s).
"eo": 106 untranslated message(s).
"es": 60 untranslated message(s).
"eu": 23 untranslated message(s).
"fa": 558 untranslated message(s).
"fr": 1 untranslated message(s).
"ga": 79 untranslated message(s).
"gl": 1 untranslated message(s).
"he": 249 untranslated message(s).
"hr": 30 untranslated message(s).
"hu": 155 untranslated message(s).
"hy": 302 untranslated message(s).
"it": 117 untranslated message(s).
"ja": 136 untranslated message(s).
"ko": 26 untranslated message(s).
"lt": 548 untranslated message(s).
"nb": 172 untranslated message(s).
"pl": 115 untranslated message(s).
"pt": 583 untranslated message(s).
"pt_BR": 12 untranslated message(s).
"pt_PT": 193 untranslated message(s).
"ro": 552 untranslated message(s).
"ru": 1 untranslated message(s).
"si": 509 untranslated message(s).
"sk": 253 untranslated message(s).
"sl": 446 untranslated message(s).
"sr": 137 untranslated message(s).
"sv": 13 untranslated message(s).
"ta": 580 untranslated message(s).
"vi": 482 untranslated message(s).
"zh_Hant": 130 untranslated message(s).
To see a detailed report, use the untranslated-messages-file 
option in the l10n.yaml file:
untranslated-messages-file: desiredFileName.txt
<other option>: <other selection> 


This will generate a JSON format file containing all messages that 
need to be translated.
Running "flutter pub get" in chat.fluffy.fluffychat...          
The current Dart SDK version is 2.15.1.

Because gaeilge_flutter_l10n 1.0.0 requires SDK version >=2.16.1 <3.0.0 and no versions of gaeilge_flutter_l10n match >1.0.0 <2.0.0, gaeilge_flutter_l10n ^1.0.0 is forbidden.
So, because fluffychat depends on gaeilge_flutter_l10n ^1.0.0, version solving failed.
pub get failed (1; So, because fluffychat depends on gaeilge_flutter_l10n ^1.0.0, version solving failed.)
2022-05-08 12:25:44,934 ERROR: Could not build app chat.fluffy.fluffychat: Error running build command for chat.fluffy.fluffychat:1.4.0
==== detail begin ====
+ /home/vagrant/build/srclib/flutter/bin/flutter config --no-analytics
Downloading Dart SDK from Flutter engine 890a5fca2e34db413be624fc83aeea8e61d42ce6...
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed

  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
 11  207M   11 24.4M    0     0  29.2M      0  0:00:07 --:--:--  0:00:07 29.2M
 64  207M   64  133M    0     0  72.8M      0  0:00:02  0:00:01  0:00:01 72.7M
100  207M  100  207M    0     0  83.8M      0  0:00:02  0:00:02 --:--:-- 83.8M
Building flutter tool...

  ╔════════════════════════════════════════════════════════════════════════════╗
  ║                 Welcome to Flutter! - https://flutter.dev                  ║
  ║                                                                            ║
  ║ The Flutter tool uses Google Analytics to anonymously report feature usage ║
  ║ statistics and basic crash reports. This data is used to help improve      ║
  ║ Flutter tools over time.                                                   ║
  ║                                                                            ║
  ║ Flutter tool analytics are not sent on the very first run. To disable      ║
  ║ reporting, type 'flutter config --no-analytics'. To display the current    ║
  ║ setting, type 'flutter config'. If you opt out of analytics, an opt-out    ║
  ║ event will be sent, and then no further information will be sent by the    ║
  ║ Flutter tool.                                                              ║
  ║                                                                            ║
  ║ By downloading the Flutter SDK, you agree to the Google Terms of Service.  ║
  ║ Note: The Google Privacy Policy describes how data is handled in this      ║
  ║ service.                                                                   ║
  ║                                                                            ║
  ║ Moreover, Flutter includes the Dart SDK, which may send usage metrics and  ║
  ║ crash reports to Google.                                                   ║
  ║                                                                            ║
  ║ Read about data we send with crash reports:                                ║
  ║ https://flutter.dev/docs/reference/crash-reporting                         ║
  ║                                                                            ║
  ║ See Google's privacy policy:                                               ║
  ║ https://policies.google.com/privacy                                        ║
  ╚════════════════════════════════════════════════════════════════════════════╝

Analytics reporting disabled.

You may need to restart any open editors for them to read new settings.
+ /home/vagrant/build/srclib/flutter/bin/flutter build apk --release
Downloading Material fonts...                                      523ms
Downloading Gradle Wrapper...                                       18ms
Downloading package sky_engine...                                  272ms
Downloading flutter_patched_sdk tools...                           465ms
Downloading flutter_patched_sdk_product tools...                   459ms
Downloading linux-x64 tools...                                   2,348ms
Downloading linux-x64/font-subset tools...                         214ms
Downloading android-arm-profile/linux-x64 tools...                 309ms
Downloading android-arm-release/linux-x64 tools...                 299ms
Downloading android-arm64-profile/linux-x64 tools...               304ms
Downloading android-arm64-release/linux-x64 tools...               262ms
Downloading android-x64-profile/linux-x64 tools...                 283ms
Downloading android-x64-release/linux-x64 tools...                 540ms
"ar": 26 untranslated message(s).
"bn": 578 untranslated message(s).
"ca": 109 untranslated message(s).
"de": 13 untranslated message(s).
"eo": 106 untranslated message(s).
"es": 60 untranslated message(s).
"eu": 23 untranslated message(s).
"fa": 558 untranslated message(s).
"fr": 1 untranslated message(s).
"ga": 79 untranslated message(s).
"gl": 1 untranslated message(s).
"he": 249 untranslated message(s).
"hr": 30 untranslated message(s).
"hu": 155 untranslated message(s).
"hy": 302 untranslated message(s).
"it": 117 untranslated message(s).
"ja": 136 untranslated message(s).
"ko": 26 untranslated message(s).
"lt": 548 untranslated message(s).
"nb": 172 untranslated message(s).
"pl": 115 untranslated message(s).
"pt": 583 untranslated message(s).
"pt_BR": 12 untranslated message(s).
"pt_PT": 193 untranslated message(s).
"ro": 552 untranslated message(s).
"ru": 1 untranslated message(s).
"si": 509 untranslated message(s).
"sk": 253 untranslated message(s).
"sl": 446 untranslated message(s).
"sr": 137 untranslated message(s).
"sv": 13 untranslated message(s).
"ta": 580 untranslated message(s).
"vi": 482 untranslated message(s).
"zh_Hant": 130 untranslated message(s).
To see a detailed report, use the untranslated-messages-file 
option in the l10n.yaml file:
untranslated-messages-file: desiredFileName.txt
<other option>: <other selection> 


This will generate a JSON format file containing all messages that 
need to be translated.
Running "flutter pub get" in chat.fluffy.fluffychat...          
The current Dart SDK version is 2.15.1.

Because gaeilge_flutter_l10n 1.0.0 requires SDK version >=2.16.1 <3.0.0 and no versions of gaeilge_flutter_l10n match >1.0.0 <2.0.0, gaeilge_flutter_l10n ^1.0.0 is forbidden.
So, because fluffychat depends on gaeilge_flutter_l10n ^1.0.0, version solving failed.
pub get failed (1; So, because fluffychat depends on gaeilge_flutter_l10n ^1.0.0, version solving failed.)
==== detail end ====
2022-05-08 12:25:44,934 DEBUG: Error encoutered, stopping by user request.
==== detail end ====